
TYPO3.Flow - Feature # 34185

Status: Resolved Priority: Could have
Author: Christian Müller Category: SignalSlot
Created: 2012-02-22 Assigned To: Karsten Dambekalns
Updated: 2012-05-09 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: SignalSlot Dispatcher should check if Slot method is declared static and act accordingly
Description

Currently if you connect a $classname + $methodname as slot it will instantiate the class to call $methodname on the instance, even
if the method is declared static. I think it wouldn't be a problem to call it static in this case to avoid problems with class instances that
shouldn't be there normally.

Associated revisions
Revision 00ea7919 - 2012-05-08 15:36 - Karsten Dambekalns

[FEATURE] Makes it possible to wire signals to static slots

To use a static slot simply prefix the slot method name with ::

Change-Id: I6d7bd963551342abb4c5bcd686ccdaff52196986
Resolves: #34185
Releases: 1.1

History
#1 - 2012-03-06 08:49 - Gerrit Code Review
- Status changed from Accepted to Under Review

#2 - 2012-03-13 16:39 - Karsten Dambekalns
- Status changed from Under Review to Accepted
- Assigned To set to Karsten Dambekalns

#3 - 2012-03-13 16:43 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9622

#4 - 2012-03-14 08:37 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9622

#5 - 2012-03-14 18:11 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9622

#6 - 2012-03-14 18:36 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9622

#7 - 2012-05-08 15:36 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9622

#8 - 2012-05-09 02:39 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:00ea79198668b30e3fefbd277f8070965ff83c18.
